package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.ConvenioTransportadora;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ConvenioTransportadoraService extends GenericService<ConvenioTransportadora, Long> {

	ConvenioTransportadora buscarPelaTransportadoraId(Long transportadoraId);

	public ConvenioTransportadora suscribirActualizar(ConvenioTransportadora convenio) throws BusinessException;

	public boolean existe(ConvenioTransportadora convenio);

}
